2019-12-07 09:18 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001203FSSCPuser interfacepublic2008-04-02 23:55
ReporterFUBAR-BDHR 
Assigned Totaylor 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001203: Multi player host mission select list not displaying all missions
DescriptionI noticed this last night when I was looking for Shivan Incursion. Couldn't remember the name then but knew there were 2 Shivan missions. Turns out it's X_Shivan_Incursion. Well that was when I noticed that everything past sj-01.fs2 Suicide Assault was missing. Directory was recently copied over so all the mission files are in alpahbetical order which kind of made it easy to figure out what was going on. I watched validation and it quit at some training mission which is farther down the list. Not sure which one as there are 3 in the directory and it flashes too fast.
Additional InformationChecking my mission directory it seems to cut the in game list off after mission sj-01.fs2 which is 171 in the directory. Single player missions seem to also attempt to validate. The next multi player mission in 0000202 in the directory. Educated guess would be it cuts off at 200. Training missions where validation appears to quit are 0000223-225. Removing a few missions from the begining of the list does make a few others show up.

May be related to whatever fixed report 1091
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008243

Kazan (developer)

status of this bug?

~0008260

FUBAR-BDHR (developer)

Haven't tried to duplicate it since the 3.6.9 final release. If you want me to try it with a newer build give me a link.

~0008282

Kazan (developer)

http://www.hard-light.net/forums/index.php/topic,48305.0.html

~0008293

FUBAR-BDHR (developer)

Just tested with that build and the bug is still there. Looks like the exact same behavior too.

~0009125

taylor (administrator)

There is actually a limit on this of 200. It doesn't look too difficult to convert it to a dynamic list, so I'll work on that later this week. I might still impose some sort of limit on it if it looks like there would be some issues but with a quick look that doesn't look like it will be required.

~0009126

FUBAR-BDHR (developer)

Not 100% positive on this since I'm going from memory but I think that single player missions were counted toward the total. If so could you just filter those out so they don't count toward the limit? Might be thinking of a standalone mission list bug that's already been fixed though.

~0009129

taylor (administrator)

Give this build a test and verify that it's fixed now:
http://icculus.org/~taylor/fso/testing/20080401_trunk-win32.rar

~0009156

FUBAR-BDHR (developer)

As far as I can tell they are all showing up. Is there a new limit or is it dynamic?

~0009157

taylor (administrator)

Both. :) It will only find a max of 1024 missions (just like FS2NetD does), but after that it's all dynamic.

~0009159

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2007-01-07 14:45 FUBAR-BDHR New Issue
2007-07-23 16:09 Kazan Note Added: 0008243
2007-07-24 04:22 FUBAR-BDHR Note Added: 0008260
2007-07-24 13:21 Kazan Note Added: 0008282
2007-07-24 13:43 Kazan Status new => assigned
2007-07-24 13:43 Kazan Assigned To => Kazan
2007-07-24 19:28 FUBAR-BDHR Note Added: 0008293
2008-03-31 20:03 taylor Note Added: 0009125
2008-03-31 20:03 taylor Assigned To Kazan => taylor
2008-03-31 20:54 FUBAR-BDHR Note Added: 0009126
2008-04-01 05:49 taylor Note Added: 0009129
2008-04-02 23:10 FUBAR-BDHR Note Added: 0009156
2008-04-02 23:48 taylor Note Added: 0009157
2008-04-02 23:55 taylor Status assigned => resolved
2008-04-02 23:55 taylor Fixed in Version => 3.6.10
2008-04-02 23:55 taylor Resolution open => fixed
2008-04-02 23:55 taylor Note Added: 0009159
+Issue History